
#include <stdlib.h>
#include <stdio.h>
#include "pointsort.h"

int main(int argc, char *argv[])
{
 int i, N;
 struct POINT *vector = NULL;
 struct POINT *sorted = NULL;

 if (argc <= 1 || (argc-1)%2 != 0) // verifica che gli argomenti siano in numero pari
   {
    printf("Errore!");
    return 0;
   }

 N = (argc-1)/2; // il numero di punti e' la meta' del numero di argomenti
 vector = calloc(N, sizeof(struct POINT));

 if (vector == NULL)
   {
    printf("Errore!");
    return 0;
   }

 for (i=0; i<N; i++)
    {
	 //costruisce un singolo punto utilizzando come coordinate due argomenti successivi
     vector[i].X = atof(argv[2*i+1]); 
	 vector[i].Y = atof(argv[2*i+2]);
    }

 sorted = pointSort(vector, N);
 free(vector);
 if (sorted == NULL)
   {
    printf("Errore!");
    return 0;
   }
 for (i=0; i<N; i++)
    printf("(%f,%f)\r\n", sorted[i].X, sorted[i].Y);
 free(sorted);
 return 1;
}
